3v4l.org

run code in 150+ php & hhvm versions
Bugs & Features
<?php /* final public ExceptionException::getPrevious ( void ) final public stringException::getFile ( void ) final private voidException::__clone ( void ) */ error_reporting(E_ALL); function exception_error_handler($errno, $errstr, $errfile, $errline ) { throw new ErrorException($errstr, '00007600', $errno, $errfile, $errline); } set_error_handler("exception_error_handler"); try { echo $x; } catch(Exception $e) { echo 'exception \'' . get_class($e) . '\' with message \'' . $e->getMessage() . '\' in \'' . $e->getFile() . '\':' . $e->getLine() . PHP_EOL; echo $e->getTraceAsString(); echo PHP_EOL . '-----------------------' . PHP_EOL; echo $e->__toString(); }
Output for 7.0.0 - 7.1.0
exception 'ErrorException' with message 'Undefined variable: x' in '/in/NafoQ':29 #0 /in/NafoQ(29): exception_error_handler(8, 'Undefined varia...', '/in/NafoQ', 29, Array) #1 {main} ----------------------- ErrorException: Undefined variable: x in /in/NafoQ:29 Stack trace: #0 /in/NafoQ(29): exception_error_handler(8, 'Undefined varia...', '/in/NafoQ', 29, Array) #1 {main}
Output for 5.1.0 - 5.2.17, hhvm-3.10.0 - 3.12.0
exception 'ErrorException' with message 'Undefined variable: x' in '/in/NafoQ':29 #0 /in/NafoQ(29): exception_error_handler() #1 {main} ----------------------- exception 'ErrorException' with message 'Undefined variable: x' in /in/NafoQ:29 Stack trace: #0 /in/NafoQ(29): exception_error_handler() #1 {main}
Output for 5.3.0 - 5.6.28
exception 'ErrorException' with message 'Undefined variable: x' in '/in/NafoQ':29 #0 /in/NafoQ(29): exception_error_handler(8, 'Undefined varia...', '/in/NafoQ', 29, Array) #1 {main} ----------------------- exception 'ErrorException' with message 'Undefined variable: x' in /in/NafoQ:29 Stack trace: #0 /in/NafoQ(29): exception_error_handler(8, 'Undefined varia...', '/in/NafoQ', 29, Array) #1 {main}
Output for 5.0.0 - 5.0.5
Fatal error: Class 'ErrorException' not found in /in/NafoQ on line 17
Process exited with code 255.
Output for 4.4.2 - 4.4.9
Parse error: syntax error, unexpected T_NEW in /in/NafoQ on line 17
Process exited with code 255.
Output for 4.3.0 - 4.3.1, 4.3.5 - 4.4.1
Parse error: parse error, unexpected T_NEW in /in/NafoQ on line 17
Process exited with code 255.
Output for 4.3.2 - 4.3.4
Parse error: parse error in /in/NafoQ on line 17
Process exited with code 255.